@import url("fonts.css");

:root
{
    /* font size */
    --font-family: 'Cabin', system-ui;
    --font-minus-1: 12px;
    --font-base: 14px;
    --font-plus-1: 16px;
    --font-plus-2: 20px;
    --font-plus-3: 24px;

    /* background */
    --brand-industrial-black-background-rest: #141F31;
    --brand-business-indigo-background-rest: #6884BC;
    --brand-business-indigo-background-1-rest: #8A9FCF;
    --brand-business-indigo-background-2-rest: #B0C0E1;
    --brand-business-indigo-background-3-rest: #E7EBF4;    
    --brand-tech-turquoise-background-rest: #00767D;
    --brand-tech-turquoise-background-hover: #00676F;
    --brand-service-yellow-background-rest: #FDCE0D;

    --neutral-background-rest: #FFFFFF;
    --neutral-background-1-rest: #fbfbfb;
    --neutral-background-2-rest: #f7f7f7;
    --neutral-background-3-rest: #f3f3f3;
    --neutral-background-4-rest: #efefef;
    /* strokes */
    --neutral-stroke-rest: #E2E3E4;
    --neutral-stroke-active: #B0C0E1;
    /* foreground */
    --neutral-foreground-rest: #000000;
    --neutral-foreground-hint: #6E6E6E;
    --neutral-foreground-disabled: #BEBEA9;
    --neutral-foreground-inverted-rest: #FFFFFF;
    
    /* Status */
    --status-danger-100: #FDECEC;
    --status-danger-200: #FAD9D9;
    --status-danger-300: #F8A1A1;
    --status-danger-500: #F44336;
    --status-danger-700: #B71C1C;

    --status-success-100: #E8F5E9;
    --status-success-200: #C8E6C9;
    --status-success-300: #81C784;
    --status-success-500: #4CAF50;
    --status-success-700: #2E7D32;

    --status-warning-100: #FFF8E1;
    --status-warning-200: #FFECB3;
    --status-warning-300: #FFD54F;
    --status-warning-500: #FFC107;
    --status-warning-700: #FFA000;
}

/* overrides for stupid rules outside of theme */
.bpsc-legend-box, .blueBack, .prawaKolumnaContent .fieldsecik legend, 
.prawaKolumnaContent > .fieldsecik > div > ul > li > a
{
    position: unset !important;
}
div > label.invalid
{
    max-width: unset !important;
}
.headers .KorespondencjaNaglowek
{
    position: unset !important;
    display: flex;
}
.clear
{
    display: none !important;
}

.top_center_box
{
    overflow: unset !important;
}

.historia_aspx #filters_center_box > input[type="checkbox"]
{
    margin-top: 0 !important;
}

#content .kontrolka.minWidth490
{
    min-width: unset !important;
}

td > div[style*="width:"]
{
    width: unset !important;
}

* 
{
    float: unset !important;
}

*:focus
{
    outline: none;
}

[style*="color:inactivecaption"]
{
    color: var(--neutral-foreground-disabled) !important;
}
  

/* end overrides for stupid rules outside of theme */

/* utils */
.hidden
{
    display: none !important;
}

@keyframes spinner {
    to {transform: rotate(360deg);}
}

.busyBox
{
    display: none;
    background-color: var(--neutral-background-rest);
    box-shadow: 0 0 32px 0 rgba(0,0,0,0.1);
    z-index: 9999;
    padding: 96px 16px 16px 16px;
    min-width: 300px;
    border: 1px solid var(--neutral-stroke-rest);
    border-radius: 4px;

    > img
    {
        display: none !important;
    }
    
    > span
    {
        font-size: var(--font-plus-1);
        font-weight: 600;
        text-align: center !important;
    }
    
    &:before {
        --diameter: 64px;
        content: '';
        box-sizing: border-box;
        width:var(--diameter);
        height: 64px;
        
        position: absolute;
        top: calc(35% - var(--diameter)/2);
        right:calc(50% - var(--diameter)/2);
        aspect-ratio:1;
    
        border-radius: 50%;
        border: 2px solid var(--neutral-stroke-rest);
        border-top-color: var(--brand-tech-turquoise-background-rest);
        animation: spinner .6s linear infinite;
    }
    
    &:after
    {
        content: '';
        position: fixed !important;
        inset: 0;
        background-color: var(--neutral-background-rest) !important;
        opacity: 0.5 !important;
        z-index: -1;
    }
}


/* Primary button */
input[type="submit"], input[type="button"]
{
    height: 40px;
    padding: 8px 16px;
    background-color: var(--brand-tech-turquoise-background-rest);
    border: none;
    border-radius: 4px;
    color: var(--neutral-foreground-inverted-rest);
    cursor: pointer;
    text-align: center !important;
    
    &:hover
    {
        background-color: var(--brand-tech-turquoise-background-hover);
    }
}

/* Danger button */
input[type="submit"]:is([value="Odrzucam"], [value="Anuluj"], [value="Zamknij"])
{
    background-color: var(--status-danger-200);
    color: var(--neutral-foreground-rest);

    &:hover
    {
        background-color: var(--status-danger-300);
    }
}

/* Secondary button */
input[type="submit"]:is(.green, .back, [value="OK"]),
.wrapper_headers .headers .header-link
{
    height: 40px;
    padding: 8px 16px;
    background-color: var(--brand-business-indigo-background-3-rest);
    color: var(--neutral-foreground-rest);
    font-weight: 600;
    border-radius: 4px;
    cursor: pointer;
    text-align: center !important;
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.1);

    &:hover
    {
        background-color: var(--brand-business-indigo-background-2-rest);
    }
}

input[type="checkbox"]
{
    margin: 0;
}

.invalid
{
    padding: 4px 0;
    margin: 0 !important;
    font-family: inherit;
    font-size: var(--font-minus-1);
    color: var(--status-danger-500) !important;
}

.zalaczniki-column-header
{
    display: flex;
    justify-content: center;

    &:before
    {
        content: "\'";  
        font-family: 'EntypoRegular';
        white-space: nowrap;
        font-size: 26px;
        font-weight: 400;
    }
}

div.linki-decyzje
{
    position: relative;
}

ul.linki-decyzje, .zalacznikiPanel
{
    margin: 0;
    background-color: var(--neutral-background-rest);
    box-shadow: 0 0 8px 0 rgba(0,0,0,0.1);    
    border-radius: 4px;
    position: absolute;
    display: none;
    padding: 8px;
}


/* class showMenuContent is added after click */
ul.linki-decyzje.showMenuContent
{
    display: block;
    z-index: 100;
    min-width: 200px;
}

.link-decyzja-pytanie
{
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    border: 1px solid var(--neutral-stroke-rest);
    background-color: var(--neutral-background-rest);
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.1);    
    border-radius: 4px;
    padding: 4px 12px;
    cursor: pointer;

    &:hover
    {
        background-color: var(--neutral-background-2-rest);
    }

    & .link-decyzja-pytanie-icon
    {
        background-image: url("Images/sprite_icons.png");
        background-position: 22px -2152px;
        position: unset !important;
    
        height: 10px;
        right: 5px;
        top: 5px;
        width: 10px;    
    }
}

.linki-decyzje :is(.link-decyzja, .submenu-item) > a,
.zalacznikiPanel .zalacznikiLink a
{
    display: block;
    padding: 8px;
    border-radius: 4px;
    cursor: pointer;

    &:hover
    {
        background-color: var(--brand-business-indigo-background-3-rest);
    }
}

/* .dxgv:has( .grid-column-button),
.dxgv:has( .akcja)
{
    min-width: fit-content;
} */

td:has(.grid-column-button),
td:has(.akcja)
{
    padding-inline: 4px !important;
}

*:has( > .grid-column-button):not(td),
*:has( > .akcja):not(td)
{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 4px;
}

.grid-column-button, .akcja
{
    all:unset;

    flex-grow: 1;
    /* override inline styles */
    font-family: var(--font-family);
    font-size: var(--font-base);


    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
    cursor: pointer;
    min-width: fit-content;
    padding: 4px 8px;
    border: 1px solid var(--neutral-stroke-rest);
    border-radius: 4px;
    background-color: var(--neutral-background-rest);
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.1);
}

.grid-column-button:hover, .akcja:hover
{
    /* override inline styles */
    color: var(--neutral-foreground-rest);
    background-color: var(--neutral-background-2-rest);
    border: 1px solid var(--neutral-stroke-rest);
}

.grid-column-button > span
{
    position: unset !important;
}

.pager
{
    margin: 16px 0;
    padding:0;
    display: flex;
    justify-content: center;
    gap: 4px;
}

.pager > .link
{
    display: flex;
    align-items: center;
    color:inherit;
    border: 1px solid var(--neutral-stroke-rest);
    border-radius: 4px;
    padding: 4px;
    cursor: pointer;
}

.pager > .link.active, .pager > .link:hover 
{
    font-weight: 600;
    background-color: var(--brand-business-indigo-background-3-rest);
}

.groupOfButtons
{
    display: flex;
    gap: 8px;
}

fieldset
{
    border: none;
}

hr
{
    border: none;
}

.logo
{
    display: flex;
    gap: 2px;
    align-items: end;
}
.helpHyperlink > img
{
    width: 16px;
}

.editor-field
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;   
    gap: 8px;
    margin-bottom: 12px;
}

.editor-field input
{
    min-width: 300px;
}

.editor-field > input.invalid
{
    border-color: var(--status-danger-500);
}

.editor-label
{
    color: var(--neutral-foreground-rest);
    align-self: self-start;
}

textarea
{
    padding: 8px;
    /* background-color: var(--brand-business-indigo-background-3-rest); */
    border: 1px solid var(--neutral-stroke-rest);
    border-radius: 4px;
}

/* Icon colors */
.icon-delete-button,
.icon-cancel-button,
.icon-error-label
{
    color: var(--status-danger-500);
}

.icon-confirm-button,
.icon-show-button,
.icon-add-button,
.icon-info-label 
{
    color: var(--status-success-500);
}

.icon-edit-button,
.icon-download-button
{
    color:#1B6BC5;
}

.icon-warning-label
{
    color: var(--status-warning-500);
}



/* DevExpress */

/* formularz_aspx is very dynamic page and works only with fixed pixels so applying new styles breaks it completely */
/* It would require to rewrtire whole engine of generating those dynamic forms */
/* That's why I excluded this page from new devepress styles */
body:not(:has(.formularz_aspx))
{
    /* Common */
    .dxgvControl, 
    .dxgvDisabled, 
    .dxpControl, 
    .dxeBase, 
    .dxeMemoEditArea, 
    .dxeMemo, 
    .dxeListBox, 
    .dxeListBoxItem, 
    .dxlpLoadingPanel,
    .dxgvEditFormTable,
    .dxtlControl,
    .dxpLite,
    .dxpnlControl,
    .dxpcDropDown, 
    .dxeDropDownWindow
    {
        font: inherit !important;
        color: inherit !important;
    }

    .dxeMemo, .dxeMemoEditArea
    {
        border: none;
        background-color: inherit;
    }


    /* General */
        .dxlpLoadingPanel
        {
            background-color: var(--neutral-background-rest);
            border: 1px solid var(--neutral-stroke-rest);
            border-radius: 4px;
            border-collapse: unset !important;
            padding: 8px;
            box-shadow: 0 0 4px 0 rgba(0,0,0,0.1);
        }

        .dxeBase
        {
            * {
                margin: 0 !important;
                padding: 0 !important;
            }

            tr
            {
                display: flex;
                align-items: center;
                gap: 4px;
            }
        }

        .dxeEditArea
        {
            outline: none;
            background-color: var(--neutral-background-rest);
            padding-inline: 12px;

            /* TODO calc */
            height: 34px !important;
        }

        .dxeTextBox, .dxeButtonEdit
        {
            background-color: var(--neutral-background-rest);
            border: 1px solid var(--neutral-stroke-rest);
            border-radius: 4px;
        }

        .dxeButtonEdit .dxeButtonEditButton
        {
            background: none;
            border: none;
            padding-inline: 8px;
            border-radius: 4px;

            &:hover
            {
                background-color: var(--brand-business-indigo-background-3-rest);
            }
        }

        .dxeListBox
        {
            background-color: var(--neutral-background-rest);
            border: 1px solid var(--neutral-stroke-rest);

            .dxlbd
            {
                max-height: 500px;
                height: fit-content !important;
            }

            .dxeListBoxItem
            {
                cursor: pointer;
                padding: 8px 16px;
                border-bottom: 1px solid var(--neutral-stroke-rest);

                &:hover
                {
                    background-color: var(--brand-business-indigo-background-3-rest);
                }
            }

            .dxeListBoxItemSelected
            {
                background-color: var(--brand-business-indigo-background-2-rest);
            }
        }

        .dxeMemoEditArea
        {
            overflow-y: auto !important;
        }

        .dxeHyperlink
        {
            font: inherit !important;
            color: var(--brand-tech-turquoise-background-rest) !important;
        }
        
        .dxeHyperlink:hover
        {
            color: var(--brand-tech-turquoise-background-hover) !important;
            text-decoration: underline;
        }

        .dxeEditAreaSys
        {
            font: var(--font-base) var(--font-family) !important;
        }

        .dxpLite
        {
            display: flex !important;
        }

    /* Grid (dxgv) */
        .dxgvControl
        {
            border: none;
            background-color: inherit;

            & a
            {
                color: inherit;
            }
        }

        .dxgvTitlePanel
        {
            font-size: var(--font-plus-1);
            color: var(--neutral-foreground-rest);
            border-bottom: none;
        }

        .dxgvHeader, 
        .dxtlHeader
        {
            color: inherit;
            font-weight: 600;
            min-height: 40px;
            background-color: var(--neutral-background-2-rest);
            border: 1px solid var(--neutral-background-rest);
        }

        .dxgvGroupPanel
        {
            border-bottom: 1px solid var(--neutral-background-rest);
            background-color: var(--neutral-background-2-rest);
        }

        .dxgvFilterRow
        {
            background-color: var(--neutral-background-rest);
        }

        .dxgvFilterRow td.dxgv
        {
            /* background-color: var(--neutral-background-3-rest);    */
            border: none;
            padding: 8px 4px;
        }

        .dxgvGroupRow
        {
            background-color: var(--neutral-background-3-rest);
        }

        .dxgvFocusedGroupRow
        {
            background-color: var(--brand-business-indigo-background-3-rest);
            color: var(--neutral-foreground-rest);
        }

        .dxgvGroupRow td.dxgv,
        .dxgvFocusedGroupRow td.dxgv
        {
            padding: 8px 4px;
            border-bottom: 1px solid var(--neutral-stroke-rest);
        }

        .dxgvFocusedRow td.dxgvIndentCell,
        .dxgvFocusedGroupRow td.dxgvIndentCell,
        .dxgvSelectedRow td.dxgvIndentCell,
        .dxgvDataRow td.dxgvIndentCell,
        .dxgvGroupRow td.dxgvIndentCell,
        .dxgvGroupFooter td.dxgvIndentCell,        
        .dxgvPreviewRow td.dxgvIndentCell        
        {
            background-color: var(--neutral-background-rest) !important;
        }
        
        .dxgvDataRow
        {
            background-color: var(--neutral-background-rest);
        }
        
        .dxgvDataRowAlt 
        {
            background-color: var(--neutral-background-2-rest);
        }

        .dxgvFocusedRow, 
        .dxgvDataRow:hover, 
        .dxeListBoxItemHover
        {
            background-color: var(--brand-business-indigo-background-3-rest);
            color: var(--neutral-foreground-rest);
        }
        
        .dxgvSelectedRow
        {
            background-color: var(--brand-business-indigo-background-2-rest);
            color: var(--neutral-foreground-rest);
        }
        

        
        .dxtlAltNode
        {
            background-color: var(--neutral-background-rest);
        }

        .dxgvEditFormDisplayRow td.dxgv, 
        .dxgvDataRow td.dxgv, 
        .dxgvDataRowAlt td.dxgv, 
        .dxgvSelectedRow td.dxgv, 
        .dxgvFocusedRow td.dxgv
        {
            border-bottom: none;
            border-right: 2px dashed var(--neutral-background-4-rest) !important;
        }

        .dxtlNode td.dxtl, 
        .dxtlAltNode  td.dxtl, 
        .dxtlSelectedNode td.dxtl, 
        .dxtlFocusedNode td.dxtl, 
        .dxtlEditFormDisplayNode td.dxtl, 
        .dxtlCommandCell
        {
            border: none;
            border-bottom: 1px solid var(--neutral-background-4-rest) !important;
            border-right: 2px dashed var(--neutral-background-4-rest) !important;
        }
        
        .dxtlIndentWithButton
        {
            border-right: 2px dashed var(--neutral-background-4-rest) !important;
        }

        
        .dxgvPreviewRow
        {
            background-color: inherit;
            color: inherit;
        }
        
        .dxgvPreviewRow td.dxgv
        {
            border-bottom: 1px solid var(--neutral-background-rest);
            padding: 16px 32px;
            background-color: var(--neutral-background-1-rest);
            border-right: 2px dashed var(--neutral-background-4-rest) !important;
        }
        
        .dxgvCommandColumn > a
        {
            margin: 0 8px;
            color: var(--brand-tech-turquoise-background-rest) !important;
        }
        
        .dxgvFilterBar
        {
            background-color: var(--neutral-background-rest);
            border: 1px solid var(--neutral-background-3-rest);
            padding: 8px;
            border-radius: 4px;
            border-collapse: unset !important;
        }
        
        .dxgvFilterBarExpressionCell, .dxgvFilterBarClearButtonCell
        {
            padding: 0px;
        }
    /* DevExpress end */
/* utils end */
}


/* Main layout */
body
{
    font-family: var(--font-family);
    font-size: var(--font-base);
    background-color: var(--neutral-background-1-rest);

    min-height: 100vh;
    display: grid;
    grid-template-rows: 1fr auto;
}

.master-footer .copyright
{
    font-size: var(--font-minus-1);
    color: var(--neutral-foreground-hint) !important;
    text-align: right;
    padding: 16px 32px;

    & .cr_link:hover
    {
        text-decoration:underline;
    }
}

.topNavigationWrapper, .master-submenu-box
{
    background-color: var(--brand-industrial-black-background-rest);
    padding-inline: 32px;
}

.topNavigation
{
    color: var(--neutral-foreground-inverted-rest);
    min-height: 64px;
    padding-block: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.topNavigationBox
{
    display: flex;
    align-items: center;
    gap: 16px;
}

input[type="submit"].logonControlButton
{
    width: fit-content;
    height: fit-content;
}

.top_center_box > h1
{
    font-weight: 600;
    font-size: var(--font-plus-3);
    background-color: var(--neutral-background-1-rest);
    color: var(--neutral-foreground-rest);
    padding-inline: 32px;
    margin-block: 32px;
}

.master-submenu-box
{    
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 8px;
}

.master-submenu-item
{
    background-color: var(--neutral-background-3-rest);
    border: 2px solid var(--neutral-stroke-rest);
    border-top-right-radius: 2px;
    border-top-left-radius: 2px;
    border-bottom: none;

    & .submenu-item
    {
        font-size: var(--font-minus-1);
        padding: 4px 16px;
        
        display: flex;
        align-items: center;
        height: 100%;
    }
    
    & .submenu-item-active
    {
        font-size: var(--font-plus-1);
        padding: 8px 12px;
        font-weight: 600;
    }

    &:has(.submenu-item-active)
    {
        border-color: var(--brand-business-indigo-background-rest);
        background-color: var(--neutral-background-1-rest);
        /* Create a little cool overlap effect */
        margin-bottom: -2px;
    }

    &:hover
    {
        border-color: var(--brand-business-indigo-background-rest);
        background-color: var(--neutral-background-1-rest);
    }
}

.message-box
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
}

.message-box .messageLabelBox
{
    position: relative;
    border: 1px solid;
    border-color: var(--status-warning-300);
    background-color: var(--status-warning-100);
    border-radius: 4px;
    font-weight:600;
    padding: 8px 16px 8px 36px;
    margin-block: 16px;

    &:has(.messageLabel:empty)
    {
        display: none;
    }

    & :is(.icon-error-label, .icon-info-label)
    {
        position: absolute;
        top: 49%;
        left: 20px;
        transform: translate(-50%, -50%);    
    }

    &:has(.icon-error-label)
    {
        background-color: var(--status-danger-100);
        border-color: var(--status-danger-300);
    }
    
    &:has(.icon-info-label)
    {
        background-color: var(--status-success-100);
        border-color: var(--status-success-300);
    }
}

.kolumny, .kolumna
{
    display: flex;
    padding-inline: 32px;
    margin-top: 32px;
}

.kolumny
{
    gap:16px;
}

.lewa-kolumna .submenu-item
{
    position: relative;
    font-weight: 600;
    border-bottom: 1px solid var(--neutral-stroke-rest);
    min-width: 200px;
}

.lewa-kolumna .submenu-item-child
{
    padding-left: 24px;
}

.lewa-kolumna .submenu-item-active, 
.lewa-kolumna .submenu-item:hover 
{
    background-color: #E7EBF4;
    border-radius: 4px;
}

.lewa-kolumna .submenu-item > .menu-link
{
    display: block;
    width: 100%;
    padding: 8px 16px;
}

.lewa-kolumna .submenu-item-active::before
{
    content: '';
    position: absolute;
    top:0;
    left: 0;
    bottom: 0;
    width: 2px;
    background-color: var(--brand-industrial-black-background-rest);
}

.prawa-kolumna
{
    display: flex;
    flex-direction: column;
    gap: 32px;
    margin-inline: auto;
    background-color: var(--neutral-background-rest);

    border: 1px solid var(--neutral-stroke-rest);
    border-radius: 8px;
    padding: 24px;
    box-shadow: 0 0 4px 0 rgba(0,0,0,0.1);
    overflow: auto;
}

/* .content
{
    display: flex;
    flex-direction: column;
    gap: 16px;
} */

.wrapper_headers
{
    display: flex;
    flex-direction: column;
    gap: 24px;

    padding-bottom: 16px;
    border-bottom: 1px solid var(--neutral-stroke-rest);
}

.wrapper_headers .headers
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 32px;
}

.wrapper_headers .headers > h1
{
    font-size: var(--font-plus-2);
    font-weight: 600;
    margin-inline: auto;
}

.filters .filters_center_box
{
    display: flex;
    gap: 16px;
    align-items: center;
}


.footer .footer_buttons
{
    width: 100%;
    display: flex;
}

.footer .footer_buttons_left
{
    display: flex;
    gap: 8px;
    margin-right: auto;
}

.footer .footer_buttons_right
{
    display: flex;
    gap: 8px;
    margin-left: auto;
}

.footer .footer_buttons_center_box > div,
.footer .footer_buttons_center > div,
.footer_buttons_center
{
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

/* End main layout */

:is(.content_form, .content_pureDevex)
{
    min-width: 400px;
    max-width: fit-content;
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    gap: 16px;
}

:is(.content_form, .content_pureDevex) *:has(.controlsCenterBox)
{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

:is(.content_form, .content_pureDevex) .controlsCenterBox
{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    /* grid-template-columns: minmax(200px, 600px); */
    column-gap: 16px;
    row-gap: 4px;
}

:is(.content_form, .content_pureDevex) .controlsCenterBox > :is(input, select, textarea, table, .dxeButtonEdit, .dxeTextBox, .dxucControl)
{
    flex-grow: 1;
}

:is(.content_form, .content_pureDevex) .controlsCenterBox :is(.controlsCenterLabel, .field-name)
{
    font-weight: 600;
    font-size: var(--font-plus-1);
}

/* We put all controls on new line except checkboxes and radios */
:is(.content_form, .content_pureDevex) .controlsCenterBox:not(:has(input:is([type="checkbox"], [type="radio"]))) :is(.controlsCenterLabel, .field-name)
{
    flex-basis: 100%;
}

/* Sites */

/* wtyczki_aspx operacje_apx */
 :is(.wtyczki_aspx, .operacje_aspx) .prawa-kolumna
 {
    display: none;
 }

/* login_aspx and changepassword_aspx */
    .login_aspx, .changepassword_aspx
    {        
        height: 100%;

        & .message-box
        {
            height: 100%;
        }

        .prawa-kolumna, .top, .logonControlButton
        {
            display: none;
        }

        .bpsc-login-box
        {
            display: flex;
            flex-direction: column;
            gap: 4px;
            padding: 16px;
            border:none;
            min-width: 300px;
            align-items: stretch;
        }
    
        .bpsc-legend-box
        {
            font-size: var(--font-plus-2);
            font-weight: 600;
            margin-bottom: 16px;
            text-align: center;
        }
    
        .bpsc-submit > input
        {
            width: 100%;
        }

        input[type="text"], input[type="password"]
        {
            background-color: var(--neutral-background-rest);
            border: 1px solid var(--neutral-stroke-rest);
            border-radius: 4px;
            padding-inline: 12px;
            height: 40px;
            width: 100%;
            box-sizing: border-box;
        }        
    }


/* korespondencja_aspx */
    .korespondencja_aspx td[style*="background-color:"]
    {
        background-color: inherit !important
    }

    .korespondencja_aspx td[style*="background-color:LightCoral"] .dxeHyperlink
    {
        background-color: var(--status-danger-300);
        border-radius: 4px;
    }

    .korespondencja_aspx td[style*="background-color:LightBlue"] .dxeHyperlink
    {
        /* Color TODO */
        background-color: LightBlue;
        border-radius: 4px;
    }

    .korespondencja_aspx td[style*="background-color:LightGray"] .dxeHyperlink
    {
        /* Color TODO */
        background-color: LightGray;
        border-radius: 4px;
    }

    .korespondencja_aspx .zalacznikiPanel > span
    {
        display: block;
        font-size: var(--font-plus-1);
        font-weight: 600;
        padding-block: 4px;
        margin-block: 4px;
        border-bottom: 1px solid var(--neutral-stroke-rest);
    }

    .korespondencja_aspx .zalacznikiPanel .zalacznikiLink
    {
        display: grid;
        margin-block: 8px;
    }

    .korespondencja_aspx .zalacznikiPanel .decyzja
    {
        display: block;
        text-align: center;
        background-color: var(--status-danger-200);
        border-radius: 4px;
        padding: 8px;
    }

    .korespondencja_aspx .zalacznikiPanel .decyzja:hover
    {
        background-color: var(--status-danger-300);
    }

/* wyborosob_aspx */
    .wyborosob_aspx .content_grid
    {
        display: grid;
        grid-template-columns: 3fr 1fr;
    }

    .wyborosob_aspx .content_grid .prawaKolumnaContent
    {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .wyborosob_aspx .content_grid .prawaKolumnaContent > .fieldsecik
    {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .wyborosob_aspx .content_grid .prawaKolumnaContent > .fieldsecik > .legenda
    {
        font-size: var(--font-plus-1);
        font-weight: 600;
    }

    .wyborosob_aspx .content_grid .OsobyDWLista,
    .wyborosob_aspx .content_grid .OsobyDRLista
    {
        border: 1px solid var(--neutral-stroke-rest);
        padding: 8px;
    }

    .wyborosob_aspx .content_grid .OsobyDWLista > li,
    .wyborosob_aspx .content_grid .OsobyDRLista > li
    {
        display: flex;
        justify-content: space-between;
        gap: 4px;
    }

    .wyborosob_aspx .content_grid .OsobyDWLista .UsunLink,
    .wyborosob_aspx .content_grid .OsobyDRLista .UsunLink
    {
        color: var(--status-danger-500);
    }

/* wyslijkorespondencje_aspx */
    .wyslijkorespondencje_aspx .content_form > div
    {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .wyslijkorespondencje_aspx .content_form .contentTitle 
    {
        display: block;
    }

    .wyslijkorespondencje_aspx .AkcjaEtapuLabel
    {
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

/* personsettings_aspx */

    .personsettings_aspx .content_pureDevex
    {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .personsettings_aspx #WyborPanelu
    {
        border-bottom: 1px solid var(--neutral-stroke-rest);
    }

    .personsettings_aspx ul.tabs
    {
        display: flex;
        gap: 8px;
        padding-inline: 16px;
    }

    .personsettings_aspx ul > li
    {
        display: flex;
    }


    .personsettings_aspx ul.tabs > li a
    {
        padding: 8px;
        border : 1px solid var(--neutral-stroke-rest);
        border-top-left-radius: 4px;
        border-top-right-radius: 4px;
        border-bottom: none;
    }

    .personsettings_aspx ul.tabs .tabs-wybrany a
    {
        font-weight: 600;
        background-color: var(--brand-business-indigo-background-3-rest);
    }

    .personsettings_aspx ul.tabs .tabs-niewybrany a
    {
        background-color: var(--neutral-background-3-rest);
    }

    .personsettings_aspx ul.tabs .tabs-niewybrany a:hover
    {
        background-color: var(--neutral-background-1-rest);
    }

    .personsettings_aspx .PersonSettings-ObslugaKorespondencji,
    .personsettings_aspx .PersonSettings-CreateCorrespondence,
    .personsettings_aspx .PersonSettings-Inne
    {
        display: flex;
        flex-direction: column;
        gap: 8px;
    }

/* evip general */
    .EvipDataWrapper
    {
        margin-top: 32px;
        display: flex;
        flex-direction: column;
        gap:32px;
    }

    .EvipDataWrapper div:has(.headers)
    {
        display: flex;
        justify-content: center;
        font-size: var(--font-plus-2);
        font-weight: 600;
        padding-block: 16px;
        border-bottom: 1px solid var(--neutral-stroke-rest);
    }

    .EvipDataBox
    {
        width: fit-content;
        display: grid;
        gap: 8px 16px;
        grid-template-columns: 1fr 1fr;
    }

    .EvipDataBox .editor-label
    {
        grid-column: 1;
        font-size: var(--font-plus-1);
        font-weight: 600;
        justify-self: end;
    }

    .EvipDataBox .editorValue
    {
        grid-column: 2;
        padding:0 !important
    }

    .EvipDataBox .editorValue .dxe
    {
        padding:0 !important
    }

    .plugins_evip_evip_aspx td[style*="background-color:"]
    {
        background-color: inherit !important;
    }
    
    .plugins_evip_evip_aspx td[style*="background-color:"] .menuWrapper:before
    {
        padding: 4px;
        border-radius: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-basis: 100%;
    }
    
    .plugins_evip_evip_aspx td[style*="background-color:#D95D50"] .menuWrapper:before,
    .plugins_evip_faktury_aspx td[style*="background-color:#D95D50"]
    {
        content: 'Nierozliczona';
        background-color: var(--status-danger-200) !important;
    }
    
    .plugins_evip_evip_aspx td[style*="background-color:#FCA600"] .menuWrapper:before,
    .plugins_evip_faktury_aspx td[style*="background-color:#FCA600"]
    {
        content: 'Częściowo rozliczona';
        background-color: var(--status-warning-200) !important;
    }
    
    .plugins_evip_evip_aspx td[style*="background-color:#AAB464"] .menuWrapper:before,
    .plugins_evip_faktury_aspx td[style*="background-color:#AAB464"]
    {
        content: 'Rozliczona';
        background-color: var(--status-success-200) !important;
    }

/* plugins_evip_evip_aspx */
    .plugins_evip_evip_aspx
    {
        .footer_buttons_center_box .checkBoxEvip
        {
            flex-basis: 100%;
            display: flex;
            justify-content: center;
        }

        .filters_center_box > div
        {
            width: 100%;
        }

        .filters_center_box > div > div
        {
            display: flex;
            gap: 8px;
            align-items: end;
        }

        /* Dane faktury */
        .filters_center_box > div > div > div:nth-of-type(1) { order: 1; }
        /* Załatwione */
        .filters_center_box > div > div > div:nth-of-type(2) { order: 2; }
        /* Etap */
        .filters_center_box > div > div > div:nth-of-type(3) { order: 3; }
        /* Procedura */
        .filters_center_box > div > div > div:nth-of-type(4) { order: 4; }
        /* Przekaż do osoby */
        .filters_center_box > div > div > div:nth-of-type(7) { order: 5; }
        /* Data */
        .filters_center_box > div > div > div:nth-of-type(5) 
        { 
            order: 6;
            /* margin-left: auto; */
            border-left: 1px solid var(--neutral-stroke-rest);
            padding-left: 8px;
            > div
            {
                width: unset !important; 
                margin-top: 0 !important;
            } 

            input
            {
                width: 110px !important;
                border: 1px solid var(--neutral-stroke-rest) !important;
            }
        }
        /* Filtr */
        .filters_center_box > div > div > div:nth-of-type(6) { order: 7; }
        /* Refresh */
        .filters_center_box > div > div > div:nth-of-type(8) { order: 8; }

        .evipFiltr
        {
            display: grid;
            gap: 4px;
        }
    
        .evipFiltrInput
        {
            background-color: var(--brand-business-indigo-background-3-rest);
            color:  var(--neutral-foreground-rest);
        }
    
        .evipFiltrInput.btnChecked
        {
            background-color: var(--brand-business-indigo-background-1-rest);
        }
    
        .evipFiltrInput:hover
        {
            background-color: var(--brand-business-indigo-background-2-rest);
        }
    
    
        #ctl00_ContentPlaceHolderForm_UpdatePanel1
        {
            display: grid;
            gap: 8px;
        }
    
        .linkDecyzjaEvipText
        {
            display: block;
            font-size: var(--font-plus-1);
            font-weight: 600;
            border-bottom: 1px solid var(--neutral-stroke-rest);
            margin-bottom: 4px;
            padding-inline: 4px;
        }
    }


/* plugins_evip_faktury_aspx */

    .plugins_evip_faktury_aspx .templateBox .lvlOne
    {
        display: inline-flex;
    }

    .plugins_evip_faktury_aspx .templateBox .lvlTwo .evipEvoTemplateItemWrapper
    {
        position: absolute;
        display: none;
        padding: 8px;
        border-radius: 4px;
        background-color: var(--neutral-background-rest);
        box-shadow: 0 0 4px 0 rgba(0,0,0,0.1);        
    }

    .plugins_evip_faktury_aspx .templateBox .lvlTwo .listaSzablonowLi
    {
        display: flex;
        flex-direction: column;
        gap: 4px;
        padding-block: 4px;
        margin-block: 4px;
        border-bottom: 1px solid var(--neutral-stroke-rest);
    }

    .plugins_evip_faktury_aspx .templateBox .lvlTwo .listaSzablonowLi a
    {
        display: block;
        width: 100%;
        padding: 4px;
        border-radius: 4px;
    }

    .plugins_evip_faktury_aspx .templateBox .lvlTwo .listaSzablonowLi a:hover
    {
        background-color: var(--brand-business-indigo-background-3-rest);
    }

    .plugins_evip_faktury_aspx .templateBox .link-decyzja-pytanie-icon
    {
        all: unset !important;
    }

    .plugins_evip_faktury_aspx .templateBox .link-decyzja-pytanie
    {
        width: fit-content;
    }

    .plugins_evip_faktury_aspx #ctl00_ContentPlaceHolderGrid_sekcjaWalut1_span,
    .plugins_evip_faktury_aspx #ctl00_ContentPlaceHolderGrid_sekcjaWalut2_span,
    .plugins_evip_faktury_aspx #ctl00_ContentPlaceHolderGrid_span_rpwik
    {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: 1 / 3;
    }
    
    .plugins_evip_faktury_aspx #ctl00_ContentPlaceHolderGrid_btnZamowienia
    {
        margin: 16px 4px;
    }

/* plugins_evip_editdekretyfrm_aspx */
    .plugins_evip_editdekretyfrm_aspx div.wrapper
    {
        padding: 0px !important;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 16px;
    }

    .plugins_evip_editdekretyfrm_aspx div.single-wrapper {
        padding: 0px !important;
        display: grid;
        grid-template-columns: 1fr 0fr;
        gap: 2px;
    }

    .plugins_evip_editdekretyfrm_aspx .contentPanel
    {
        margin-right: 0px;
    }

    .plugins_evip_editdekretyfrm_aspx .evipTopWrapper
    {
        display: flex;
        flex-direction: column;
        gap:32px
    }
    .plugins_evip_editdekretyfrm_aspx .evipRatioWrapper > table
    {
        margin-bottom: 16px;
    }

    .plugins_evip_editdekretyfrm_aspx .evipSecondLabel,
    .plugins_evip_editdekretyfrm_aspx .greylabel
    {
        display: flex;
        gap: 8px;
        font-size: var(--font-plus-1);
        font-weight: 600;
        margin-bottom: 8px;
    }

    .plugins_evip_editdekretyfrm_aspx .rowPolaZKwotamiDiv
    {
        display: grid;
        gap: 4px;
    }
    
    .plugins_evip_editdekretyfrm_aspx .evipThirdBox
    {
        display: flex;
        gap:8px;
        align-items: center;
    }

    .plugins_evip_editdekretyfrm_aspx .evipThirdBox .label
    {
        flex-shrink: 0;
        width: 80px;
    }

    .plugins_evip_editdekretyfrm_aspx .evipThirdBox .labelRozlicz
    {
        text-wrap: nowrap;
    }

    .plugins_evip_editdekretyfrm_aspx .evipThirdBox .dxeTextBox
    {
        min-width: 100px;
    }

    .plugins_evip_editdekretyfrm_aspx .dekret
    {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 64px 32px;
    }

    .plugins_evip_editdekretyfrm_aspx .evipwhiteDiv
    {
        grid-column: 1 / span 3;
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .plugins_evip_editdekretyfrm_aspx .tdTypDekretacjiDiv
    {
        display: grid;
        width: fit-content;
        grid-template-columns: 1fr 1fr;
        gap: 4px 32px;
    }

    .plugins_evip_editdekretyfrm_aspx .tdSchematDekretacjiDiv
    {
        grid-column: 1 / span 2;
        display: flex;
        flex-direction: column;
        gap:8px;
    }

    .plugins_evip_editdekretyfrm_aspx #ctl00_ContentPlaceHolderForm_EditDekretyCtrl_uxCzyNaMagazynASPxCheckBox
    {
        width: fit-content;
    }

    .plugins_evip_editdekretyfrm_aspx .evipInsideWrapper
    {
        display: grid;
        gap: 8px;
    }

    .plugins_evip_editdekretyfrm_aspx .tdUwagiDiv, 
    .plugins_evip_editdekretyfrm_aspx .tdUwagiPozDiv 
    {
        display: grid;
    }

    .plugins_evip_editdekretyfrm_aspx #ctl00_ContentPlaceHolderForm_EditDekretyCtrl_lblNaglDekretacja span
    {
        margin-top: 0px !important;
        margin-right: 0px !important;
        text-shadow: none !important;
    }

    .plugins_evip_editdekretyfrm_aspx .evipInsideWrapper .evipThirdBox
    {
        display: grid;
        gap: 2px;
    }

    .plugins_evip_editdekretyfrm_aspx .evipInsideWrapper .inputWidthCorrector300
    {
        width: 100%;
    }

    .plugins_evip_editdekretyfrm_aspx #btnKoszykPozycjikPz
    {
        all: unset;
        padding: 8px 16px;
        background-color: var(--brand-business-indigo-background-3-rest);
        border: 1px solid var(--brand-business-indigo-background-2-rest);
        box-shadow: 0 0 2px 0 rgba(0,0,0,0.1);
        cursor: pointer;
        border-radius: 4px;
        text-align: center;
        margin-block: 8px;
    }
    .plugins_evip_editdekretyfrm_aspx #btnKoszykPozycjikPz:hover
    {
        background-color: var(--brand-business-indigo-background-2-rest);
    }

/* zalaczniki_zalacznikidodajistniejace_aspx */
    .zalaczniki_zalacznikidodajistniejace_aspx .centerCorrector
    {
        display: grid;
        gap:16px;
    }
/* formularz_aspx */
    .formularz_aspx .content_pureDevex
    {
        /* Formularz_aspx is dynamic page with absolute objects and pixel-based layout */
        /* So max-width was messing it up.... */
        max-width: unset !important;
    }
    
    /* Formularz_aspx has to have full page to render correctly */
    .formularz_aspx .prawa-kolumna
    {
        width: 100%;
    }    
	
/* nadpisanie zachowań devexpress 24 w celu pzrywrócenia wyglądu v12 */
.grid-column-button{
	padding:4px 8px !important;
	border:1px solid var(--neutral-stroke-rest)!important;
	flex-grow:unset !important;
	text-decoration:none !important
}
.linki-decyzje-column .grid-column-button{
	flex-grow:1 !important
}
.dxgvCommandColumn{
	white-space:wrap;
}
.dxgvCommandColumn > a {
	margin-top: 2px !important; margin-bottom: 2px !important; 
}
.icon-delete-button::before{
	color:var(--status-danger-500);
}
.dxtlFocusedNode .grid-column-button:hover span {
  color: unset !important;
}

.eaz-zam-pow-btns > a {
	align-items: center;
	display: flex;
}